Skip to main content
GET
/
api
/
payment-method
/
list
List payment methods for a customer
curl --request GET \
  --url https://app.dimepayments.com/api/payment-method/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [],
  "filters": []
}
'
{
  "data": [
    {
      "id": 1,
      "type": "cc",
      "token": "B6EXEPCIC8WGK63Y19RE5222",
      "first_name": "Lisa",
      "last_name": "Wallow ",
      "cc_name_on_card": "Lisa Wallow",
      "cc_last_four": "5222",
      "cc_expiration_date": "08/2028",
      "cc_brand": "Visa",
      "status": "New",
      "status_date": "2026-04-20 08:32:30",
      "enabled": true,
      "default": false,
      "addr1": "1504 Minnesota Ave",
      "addr2": "",
      "addr3": null,
      "city": "Kenner",
      "state": "LA",
      "zip": "30534"
    },
    {
      "id": 1,
      "type": "cc",
      "token": "B6EXEPCIC8WGK63Y19RE5222",
      "first_name": "Lisa",
      "last_name": "Wallow ",
      "cc_name_on_card": "Lisa Wallow",
      "cc_last_four": "5222",
      "cc_expiration_date": "08/2028",
      "cc_brand": "Visa",
      "status": "New",
      "status_date": "2026-04-20 08:32:30",
      "enabled": true,
      "default": false,
      "addr1": "1504 Minnesota Ave",
      "addr2": "",
      "addr3": null,
      "city": "Kenner",
      "state": "LA",
      "zip": "30534"
    }
  ],
  "links": {
    "prev": [
      null,
      null
    ],
    "next": [
      null,
      null
    ],
    "first": null,
    "last": null
  },
  "meta": {
    "path": [
      "/",
      "/"
    ],
    "per_page": [
      15,
      15
    ],
    "next_cursor": [
      null,
      null
    ],
    "prev_cursor": [
      null,
      null
    ]
  }
}

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.

Body

application/json
data
object
Example:
[]
filters
object
Example:
[]

Response

data
object[]
Example:
[
{
"id": 1,
"type": "cc",
"token": "B6EXEPCIC8WGK63Y19RE5222",
"first_name": "Lisa",
"last_name": "Wallow ",
"cc_name_on_card": "Lisa Wallow",
"cc_last_four": "5222",
"cc_expiration_date": "08/2028",
"cc_brand": "Visa",
"status": "New",
"status_date": "2026-04-20 08:32:30",
"enabled": true,
"default": false,
"addr1": "1504 Minnesota Ave",
"addr2": "",
"addr3": null,
"city": "Kenner",
"state": "LA",
"zip": "30534"
},
{
"id": 1,
"type": "cc",
"token": "B6EXEPCIC8WGK63Y19RE5222",
"first_name": "Lisa",
"last_name": "Wallow ",
"cc_name_on_card": "Lisa Wallow",
"cc_last_four": "5222",
"cc_expiration_date": "08/2028",
"cc_brand": "Visa",
"status": "New",
"status_date": "2026-04-20 08:32:30",
"enabled": true,
"default": false,
"addr1": "1504 Minnesota Ave",
"addr2": "",
"addr3": null,
"city": "Kenner",
"state": "LA",
"zip": "30534"
}
]
meta
object